import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("home_page_about_section_cms")
export class HomePageAboutSectionCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    heading: string;

    @Column({ default: null, nullable: true })
    title: string;
    
    @Column({ default: null, nullable: true })
    subtitle: string;
    
    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;
    
    @Column({ default: null, nullable: true })
    image: string;
    
    @Column({ default: null, nullable: true })
    imageTextOne: string;

    @Column({ default: null, nullable: true })
    imageTextTwo: string;
    
    @Column({ default: null, nullable: true })
    imageTextThree: string;
    
}
