import {IsDecimal, IsEmpty, IsNotEmpty} from "class-validator";

export class CreateShippingMethodsDto {
    @IsNotEmpty()
    readonly serviceName: string;

    @IsEmpty()
    readonly serviceType: string;

    @IsEmpty()
    @IsDecimal()
    price: number;
}
    